Bug 847417

Summary: virt-manager can no longer connect to qemu-kvm with Kerberos/GSSAPI
Product: [Fedora] Fedora Reporter: Anthony Messina <amessina>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: amit.shah, berrange, cfergeau, crobinso, dwmw2, itamar, knoel, pbonzini, rjones, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-11 15:11:32 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Anthony Messina 2012-08-10 19:58:26 EDT
After upgrading to:

qemu-common-1.0.1-1.fc17.x86_64
qemu-img-1.0.1-1.fc17.x86_64
qemu-kvm-1.0.1-1.fc17.x86_64
qemu-system-x86-1.0.1-1.fc17.x86_64
python-virtinst-0.600.3-1.fc17.noarch
virt-manager-0.9.4-1.fc17.noarch
virt-manager-common-0.9.4-1.fc17.noarch

I am no longer able to use the viewer in the virt-manager with Kerberos/GSSAPI authentication as I was in the past (just before the upgrade).

This is NOT the issue with improper SELinux contexts on the /var/tmp/vnc_* replay cache -- I am already relabeling that file via cron to enable qemu/vnc via Kerberos/GSSAPI.

The error I get on the host running libvirtd is:

python: GSSAPI Error: Unspecified GSS failure.  Minor code may provide more information (Cannot determine realm for numeric host address)
Comment 1 Fedora End Of Life 2013-07-04 00:13:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Cole Robinson 2013-07-11 15:11:32 EDT
Sorry for never responding to this Anthony. It's unlikely to be fixed in F17 at this point though. If you can still reproduce on F19, please reopen, providing the full virt-manager --debug output of the failure, and detailing your setup a bit (libvirt config, qemu config, libvirt uri, etc.)